/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: OtterTemplateNode.java,v 1.1 2000/07/21 20:04:02 pmahar Exp $
 */
package org.enhydra.kelp.common.node;

import java.io.File;

/**
 * Interface declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public interface OtterTemplateNode extends OtterSelectionNode {
    public final String SERVER = "enhydra.conf.server";

    /**
     * Method declaration
     *
     *
     * @param b
     *
     * @see
     */
    abstract public void setServer(boolean b);

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    abstract public boolean isServer();

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    abstract public File getOutputFile();
}

